<div class="card-body container-card">
  <div id="general-informations-body" class="collapse show">
    <div class="p-0">
      <!-- account pp -->
      <form *ngIf="accountType=='PP'" [formGroup]="accountPPFormGroup" autocomplete="off">
        <label class="w-auto legend">Informations générales</label>
        <fieldset class="border form">
          <!-- 1 bloc -->
          <div class="row">
            <!-- CIVILITE -->
            <div class="col-md-3 mt-0">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.CIVILITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('civilite')?.value}}</div>
            </div>
            <!-- PRENOM -->
            <div class="col-md-3 mt-0">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NOM'|translate}}</label>
              <div>{{accountPPFormGroup?.get('lastName')?.value}}</div>
            </div>
            <!-- NOM -->
            <div class="col-md-3 mt-0">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.PRENOM'|translate}}</label>
              <div>{{accountPPFormGroup?.get('firstName')?.value}}</div>
            </div>
            <!-- profession -->
            <div class="col-md-3 mt-0">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.PROFESSION'|translate}}</label>
              <div>{{accountPPFormGroup?.get('profession')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <!-- PI -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('pieceIdentite')?.value}}</div>
            </div>
            <!-- NumPi-->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>
              <div>{{accountPPFormGroup?.get('numPi')?.value}}</div>
            </div>
            <!-- date d'experation pi -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>
              <div>{{accountPPFormGroup?.get('dateExpPI')?.value}}</div>
            </div>
            <!-- SECTEUR -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.SECT_ACTIVITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('secteur')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <!-- code postal -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
              <div>{{accountPPFormGroup?.get('codePostale')?.value}}</div>
            </div>
            <!-- nationalite -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NATIONALITE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('nationality')?.value}}</div>
            </div>
            <!-- pays -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
              <div>{{accountPPFormGroup?.get('pays')?.value}}</div>
            </div>
            <!-- adress -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.ADRESSE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('address')?.value}}</div>
            </div>
          </div>
          <!-- 4 bloc -->
          <div class="row">
            <!--phone  -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.MOBILE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('mobile')?.value}}</div>
            </div>
            <!-- email -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.EMAIL'|translate}}</label>
              <div>{{accountPPFormGroup?.get('email')?.value}}</div>
            </div>
            <!-- COMPLET INFORMATION -->
            <!-- adress 2 -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.ADRESSE2'|translate}}</label>
              <div>{{accountPPFormGroup?.get('address2')?.value}}</div>
            </div>
            <!-- --mobile2 -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.MOBILE2'|translate}}</label>
              <div>{{accountPPFormGroup?.get('mobile2')?.value}}</div>
            </div>

          </div>
          <!-- 5 bloc -->
          <div class="row">
            <!-- date de naissance -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.DATE_NAIS'|translate}}</label>
              <div>{{accountPPFormGroup?.get('dateOfBirth')?.value}}</div>
            </div>
            <!-- nom pere -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NOM_PERE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('fatherFullName')?.value}}</div>
            </div>
            <!-- --nom mere -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NOM_MERE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('motherFullName')?.value}}</div>
            </div>
            <!-- --residence type -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.RESIDENCE_TYPE'|translate}}</label>
              <div>{{accountPPFormGroup?.get('residenceCountry')?.value}}</div>
            </div>
          </div>
        </fieldset>

        <label class="w-auto legend">activités</label>
        <fieldset class="border form">
          <!-- 1 bloc -->
          <div class="row">
            <!-- capacite -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.CAPACITE_FINANC'|translate}}</label>
              <div>{{accountPPFormGroup?.get('capaciteFinanciere')?.value}}</div>
            </div>
            <!-- type produit -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.TYPE_PROD'|translate}}</label>
              <div>{{accountPPFormGroup?.get('typeProduit')?.value}}</div>
            </div>
            <!-- univert -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.UNIVERS_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
            <!-- instrument -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.INSTRU'|translate}}</label>
              <div>{{accountPPFormGroup?.get('secteurSouhaites')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <!-- origine fond -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.ORIGINE_FONDS'|translate}}</label>
              <div>{{accountPPFormGroup?.get('origineFonds')?.value}}</div>
            </div>
            <!-- profil inv -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.PROFIL_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('profilInvestissement')?.value}}</div>
            </div>
            <!-- placement -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.HORIZ_PLACEMENT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('horizonPlacement')?.value}}</div>
            </div>
            <!-- niveau invistisement -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NIV_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('niveauInv')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <!-- objectif inv -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.OBJ_INVT'|translate}}</label>
              <div>{{accountPPFormGroup?.get('objectifInvestissement')?.value}}</div>
            </div>
            <!-- nationalite usa -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.NATIONALITE_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('nationaliteUSA')?.value}}</div>
            </div>
            <!-- compte usa -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.COMPTE_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('compteBancaireUSA')?.value}}</div>
            </div>
            <!-- adress usa -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.ADRESS_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('adresseUSA')?.value}}</div>
            </div>
          </div>
          <!-- 4 bloc -->
          <div class="row">
            <!-- green usa -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.GREEN_CARD_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('greenCardUSA')?.value}}</div>
            </div>
            <!-- fiscal usa -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.ID_FISCAL_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('idFiscalUSA')?.value}}</div>
            </div>
            <!-- tel usa -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.TEL_USA'|translate}}</label>
              <div>{{accountPPFormGroup?.get('ligneTelephoneUSA')?.value}}</div>
            </div>
          </div>
        </fieldset>
      </form>
      <!-- end account pp -->

      <!-- account pm -->
      <form *ngIf="accountType=='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">
        <label class="w-auto legend">informations générales</label>
        <fieldset class="form border">
          <!-- bloc 1 -->
          <div class="row">
            <!-- raison social -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.RAISON_SOCIAL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('socialReason')?.value}}</div>
            </div>
            <!-- form juridique -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.FORME_JURI'|translate}}</label>
              <div>{{accountPMFormGroup?.get('legalForm')?.value}}</div>
            </div>
            <!-- ICE -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.ICE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('ice')?.value}}</div>
            </div>
            <!-- pays -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.PAYS'|translate}}</label>
              <div>{{accountPMFormGroup?.get('pays')?.value}}</div>
            </div>
          </div>
          <!-- bloc 2 -->
          <div class="row">
            <!-- adress -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.ADRESSE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('address')?.value}}</div>
            </div>
            <!-- phone -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.PHONE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('phone')?.value}}</div>
            </div>
            <!-- fixe -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.FIXE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('fixe')?.value}}</div>
            </div>
            <!-- Email -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.EMAIL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('email')?.value}}</div>
            </div>
          </div>
          <!-- bloc 3 -->
          <div class="row">
            <!-- code postal -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PP.CODE_POSTAL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('codePostale')?.value}}</div>
            </div>
            <!-- site -->
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.WEBSITE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('webSite')?.value}}</div>
            </div>
          </div>
        </fieldset>

        <label class="w-auto legend">activités</label>
        <fieldset class="border form">
          <!-- 1 bloc -->
          <div class="row">
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.CAPACITE_FINANC'|translate}}</label>
              <div>{{accountPMFormGroup?.get('capaciteFinanciere')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.SECT_ACTIVITE'|translate}}</label>
              <div>{{accountPMFormGroup?.get('secActivite')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.TYPE_PROD'|translate}}</label>
              <div>{{accountPMFormGroup?.get('typeProduit')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.HORIZ_PLACEMENT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('horizonPlacement')?.value}}</div>
            </div>
          </div>
          <!-- 2 bloc -->
          <div class="row">
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.INSTRU'|translate}}</label>
              <div>{{accountPMFormGroup?.get('secteurSouhaites')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.NIV_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('niveauInv')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.UNIVERS_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('produitSouhaites')?.value}}</div>
            </div>
          </div>
          <!-- 3 bloc -->
          <div class="row">
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.PROFIL_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('profilInvestissement')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.OBJ_INVT'|translate}}</label>
              <div>{{accountPMFormGroup?.get('objectifInvestissement')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label
                class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.PAYS_RESIDENCE_FISCAL'|translate}}</label>
              <div>{{accountPMFormGroup?.get('paysResidenceFiscale')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.COMPTE_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('compteBancaireUSA')?.value}}</div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.ADRESS_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('adresseUSA')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.VILLE_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('villeFiscaleUSA')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.ID_FISCAL_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('idFiscalUSA')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.TEL_USA'|translate}}</label>
              <div>{{accountPMFormGroup?.get('ligneTelephoneUSA')?.value}}</div>
            </div>
            <div class="col-md-3">
              <label class="col-form-label font-weight-bold">{{'FIELD.COMPTE_PM.GIIN'|translate}}</label>
              <div>{{accountPMFormGroup?.get('giin')?.value}}</div>
            </div>
          </div>
        </fieldset>
      </form>
      <!-- end account pm -->

      <!-- contacts form -->
      <div class="table my-2">
        <label class="w-auto legend">contacts</label>
        <div class="ibox-filter mt-2 py-2">
          <div class="col data-table-container px-0">
            <table class="table table-sm table-hover mb-0"
                   [class.table-hover]="selectedContacts && selectedContacts.length > 0">
              <thead>
              <tr>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.CODE'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.NOM'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.PRENOM'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.MOBILE'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.EMAIL'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.POSTAL'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.VILLE'|translate}}</th>
                <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.ACTION'|translate}}</th>
              </tr>
              </thead>
              <tbody>
              <tr *ngFor="let contact of selectedContacts">
                <td>{{contact.code}}</td>
                <td>{{contact['nom']}}</td>
                <td>{{contact['prenom']}}</td>
                <td>{{contact.mobile1}}</td>
                <td>{{contact.email}}</td>
                <td>{{contact.codePostale}}</td>
                <td>{{contact.ville}}</td>
                <td class="text-center">

                  <button class="btn btn-show td-ng-click btn-sm btn-action-table"
                          [title]="'FIELD.BUTTONS.VIEW'|translate"
                          (click)="onViewContact(contact)">
                    <em class="fa fa-eye"></em>
                  </button>
                </td>
              </tr>
              <tr *ngIf="!selectedContacts || selectedContacts.length === 0" class="alert-row">
                <td colspan="8">
                  <div class="alert alert-primary text-center" role="alert">
                    <div class="iq-alert-icon text-center">
                      <i class="ri-information-line"></i>
                    </div>
                    <div class="iq-alert-text">{{'NOUVEAU_COMPTE.COMPTE_CONTACT.NO_CONTACT'|translate}}</div>
                  </div>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <!-- end contacts form -->

    </div>

  </div>

</div>
